Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 536540 - net-misc/networkmanager-1.0.0: configure fails if /bin/sh is not bash
Summary: net-misc/networkmanager-1.0.0: configure fails if /bin/sh is not bash
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: https://bugzilla.gnome.org/show_bug.c...
Whiteboard:
Keywords:
Depends on:
Blocks: nonbash
  Show dependency tree
 
Reported: 2015-01-14 00:32 UTC by Rémi Cardona
Modified: 2015-01-25 13:15 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rémi Cardona gentoo-dev 2015-01-14 00:32:31 UTC
checking for QT... yes
checking for moc-qt4... no
checking for moc... moc
configure: error: --with-udev-dir must be an absolute path or 'yes' or 'no'. Instead it is '/lib/udev'

I have /bin/sh that points to dash and CONFIG_SHELL set to /bin/dash.

configure.ac has an "echo -n" on line 305:

if (test "$with_udev_dir" != 'yes' && echo -n "$with_udev_dir" | grep -v -q '^/'); then

Replacing it with printf '%s' seems to work (haven't tested a full build yet).
Comment 1 Pacho Ramos gentoo-dev 2015-01-23 09:30:53 UTC
I would try to report this to upstream to for not needing to carry the patch forever -> bugzilla.gnome.org

Thanks
Comment 2 Rémi Cardona gentoo-dev 2015-01-25 12:53:55 UTC
Patch pushed to portage. Pacho, do you want to handle the upstream bug?
Comment 3 Pacho Ramos gentoo-dev 2015-01-25 13:15:19 UTC
Sure:
https://bugzilla.gnome.org/show_bug.cgi?id=743480